package com.ssj.bean.sys.shortcuts.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;
/**
 * @author Mount Liu
 * @date 2018/8/16
 */
@Table(name="scon_shortcuts")
@Entity
public class Shortcuts extends BaseEntity{

	private static final long serialVersionUID = 1L;
	/**
	 * 创建时间
	 */
	private Date createdTime;
	/**
	 * 内容
	 */
	private String content;
	/**
	 * 是否有效
	 */
	private String isValid;
	/**
	 * 排序
	 */
	private int shortcutsOrder;

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@Column(updatable=false)
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getIsValid() {
		return isValid;
	}

	public void setIsValid(String isValid) {
		this.isValid = isValid;
	}

	public int getShortcutsOrder() {
		return shortcutsOrder;
	}

	public void setShortcutsOrder(int shortcutsOrder) {
		this.shortcutsOrder = shortcutsOrder;
	}
}
